# 2.15 RTC 模块API手册



## 前言

### 概述

本文档主要介绍machine模块下的RTC类API。

### 读者对象

本文档（本指南）主要适用于以下人员：

- 技术支持工程师
- 软件开发工程师

### 缩略词定义

| 简称 | 说明 |
| ---- | ---- |
| RTC  |  real time clock  |

### 修订记录

| 文档版本号 | 修改说明 | 修改者     | 日期       |
| ---------- | -------- | ---------- | ---------- |
| V1.0       | 初版     | xel      | 2024-07-19 |

## 1. 概述

当前CanMV K230提供了一个类RTC模块，用户可以设置和获取当前系统时间

## 2. API描述

RTC类位于machine模块下

### 2.1 示例

```python
from machine import RTC

# 实例化RTC
rtc = RTC()
# 获取当前时间
print(rtc.datetime())
# 设置当前时间
rtc.init((2024,2,28,2,23,59,0,0))
```

### 2.2 构造函数

```python
rtc = RTC()
```

【参数】

无

### 2.3 init

```python
rtc.init(year,mon,day,hour,min,sec,microsec)
```

【参数】

- year: 年
- mon: 月
- day: 日
- hour: 时
- min: 分
- sec: 秒
- microsec: 微秒

【返回值】

无

### 2.4 datetime

```python
print(rtc.datetime())
```

【参数】

无

【返回值】

- year: 年
- mon: 月
- day: 日
- hour: 时
- min: 分
- sec: 秒
- microsec: 微秒
